# $Revision:$, $Date:$
%define         _state          stable
%define         orgname		nepomuk-core
%define         qtver           4.8.3

Summary:	Nepomuk Core utilities and libraries
Name:		kde4-nepomuk-core
Version:	4.14.3
Release:	1
License:	LGPLv2 or LGPLv3
Group:		X11/Applications
URL:		http://www.kde.org/
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	8c25048fce09e23469b2fb149331a58a
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	acl-devel
BuildRequires:	attr-devel
BuildRequires:	doxygen
BuildRequires:	ebook-tools-devel
BuildRequires:	exiv2-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	kde4-baloo-devel >= %{version}
BuildRequires:	kde4-kdegraphics-mobipocket-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-kfilemetadata-devel >= %{version}
BuildRequires:	libdbusmenu-qt-devel
BuildRequires:	pkgconfig
BuildRequires:	poppler-qt4-devel
BuildRequires:	qca-devel
BuildRequires:	shared-desktop-ontologies => 0.11.0
BuildRequires:	soprano-devel => 2.9.3
BuildRequires:	strigi-devel
BuildRequires:	taglib-devel
BuildRequires:	zlib-devel
Requires:	QtCore >= %{qtver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nepomuk Core utilities.

%package devel
Summary:	Developer files for %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Nepomuk Core development files and libraries.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
		-DHTML_INSTALL_DIR=%{_kdedocdir} \
		-DKDE_DISTRIBUTION_TEXT="PLD-Linux" \
		-DKDE4_ENABLE_FINAL=OFF \
		../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nepomuk2-rcgen
%attr(755,root,root) %{_bindir}/nepomukbackup
%attr(755,root,root) %{_bindir}/nepomukbaloomigrator
%attr(755,root,root) %{_bindir}/nepomukcleaner
%attr(755,root,root) %{_bindir}/nepomukcmd
%attr(755,root,root) %{_bindir}/nepomukctl
%attr(755,root,root) %{_bindir}/nepomukfileindexer
%attr(755,root,root) %{_bindir}/nepomukfilewatch
%attr(755,root,root) %{_bindir}/nepomukindexer
%attr(755,root,root) %{_bindir}/nepomukmigrator
%attr(755,root,root) %{_bindir}/nepomuksearch
%attr(755,root,root) %{_bindir}/nepomukserver
%attr(755,root,root) %{_bindir}/nepomukservicestub
%attr(755,root,root) %{_bindir}/nepomukshow
%attr(755,root,root) %{_bindir}/nepomuk-simpleresource-rcgen
%attr(755,root,root) %{_bindir}/nepomukstorage
%attr(755,root,root) %{_libdir}/kde4/libexec/kde_nepomuk_filewatch_raiselimit
%attr(755,root,root) %{_libdir}/kde4/nepomukepubextractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomukexiv2extractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomukffmpegextractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomukmobiextractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomukodfextractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomukoffice2007extractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomukofficeextractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomukplaintextextractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomukpopplerextractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomuktaglibextractor.so
%attr(755,root,root) %{_libdir}/libkdeinit4_nepomukserver.so
%attr(755,root,root) %{_libdir}/libnepomukcommon.so
%attr(755,root,root) %{_libdir}/libnepomukextractor.so
%attr(755,root,root) %{_libdir}/libnepomukcore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnepomukcore.so.?
%attr(755,root,root) %{_libdir}/libnepomukcleaner.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnepomukcleaner.so.?
%{_desktopdir}/kde4/nepomukbackup.desktop
%{_desktopdir}/kde4/nepomukcleaner.desktop
%{_datadir}/apps/fileindexerservice
%{_datadir}/apps/nepomukfilewatch
%{_datadir}/apps/nepomukstorage
%{_datadir}/autostart/nepomukserver.desktop
%{_datadir}/autostart/nepomukbaloomigrator.desktop
%{_datadir}/dbus-1/interfaces/org.kde.NepomukServer.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.*.xml
%{_datadir}/dbus-1/system-services/org.kde.nepomuk.filewatch.service
%{_datadir}/kde4/services/nepomuk*.desktop
%{_datadir}/kde4/servicetypes/nepomukcleaningjob.desktop
%{_datadir}/kde4/servicetypes/nepomukextractor.desktop
%{_datadir}/kde4/servicetypes/nepomukservice2.desktop
%{_datadir}/kde4/servicetypes/nepomukservice.desktop
%{_datadir}/ontology/kde/*.ontology
%{_datadir}/ontology/kde/*.trig
%{_datadir}/polkit-1/actions/org.kde.nepomuk.filewatch.policy
/etc/dbus-1/system.d/org.kde.nepomuk.filewatch.conf


%files devel
%defattr(644,root,root,755)
%{_includedir}/Nepomuk2
%{_includedir}/nepomuk2
%{_libdir}/cmake/NepomukCore
%attr(755,root,root) %{_libdir}/libnepomukcore.so
%attr(755,root,root) %{_libdir}/libnepomukcleaner.so
%changelog
* Fri Nov 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-nepomuk-core.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 974050f
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f277d0d
- up to 4.14.2

* Sat Aug 23 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 5b603e9
- http url

* Thu Aug 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4cdaae7
- up to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ce1b9af
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> dec2b11
- updated to 4.13.1 (by update-kde4.sh)

* Wed Apr 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4365442
- proper upgrade to 4.13.0 (missing BR deps, files added)

* Wed Apr 16 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 261b42f
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2cacca9
- updated to 4.12.4 (by update-kde4.sh)

* Sat Mar 15 2014 Jan Rękorajski <baggins@pld-linux.org> 4300eb8
- updated poppler BR
- rel 2

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 815908b
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8065e27
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 5c139df
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b7435dc
- up to 4.12.0

* Fri Dec 06 2013 Lukasz Masko <lmasko@pld-linux.org> 8d82ad7
- Up to 4.11.4.

* Sun Nov 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 092494e
- up to 4.11.3

* Fri Sep 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 18c2407
- up to 4.11.1

* Sun Aug 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6cd4583
- rel 3; md5 fix

* Sun Aug 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cc46c2b
- release 2 (by relup.sh)

* Thu Aug 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fc11dc6
- up to 4.11.0

